Page MenuHomePhabricator

Evaluate which projects showcased at the Wikimania Hackathon 2015 should be supported further
Closed, ResolvedPublic

Description

This is the logical continuation of T101151: Evaluate which projects showcased at the Wikimedia Hackathon should be supported further.

The candidates are listed in T102034: Wikimania 2015 Hackathon Showcase. We need to make a selection, and for that we need to define the criteria to select them.

Principles

Features of a certain size

We are including projects that pursue new features and that imply a significant amount of work. Bugfixes and small tasks have been excluded.

Powered by volunteering

The main purpose of this selection is to highlight projects where volunteers are either drivers or essential co-pilots. Projects driven entirely by WMF teams are excluded, since these teams have the means to push these projects through their team goals. Projects driven by WMF developers in their volunteer capacity (i.e. in areas different then their usual work) are included.

Community consensus

Projects without community consensus have been excluded, since those discussions would need to happen first.

Selection

Promoted for Outreachy-Round-11

Related with the Wikimedia Developer Summit 2016

To be clarified

Don't need help

Related Objects

Event Timeline

Qgil created this task.Jul 30 2015, 1:58 PM
Qgil claimed this task.
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 30 2015, 1:58 PM
Elitre added a subscriber: Elitre.Sep 7 2015, 5:57 PM
Qgil raised the priority of this task from Normal to High.Sep 13 2015, 1:11 PM
Qgil updated the task description. (Show Details)Sep 16 2015, 10:16 AM
Qgil set Security to None.
Qgil added a comment.Sep 16 2015, 10:18 AM

I have posted a comment in all the tasks from the #wikimania-hackathon-2015 that are still open:

A message to all open tasks related to the #Wikimania-Hackathon-2015. What do you need to complete this task? Do you need support from the Wikimedia Foundation to push it forward? Help promoting this project? Finding an intern to work on it? Organizing a developer sprint? Pitching it to WMF teams? Applying for a grant? If you need support, share your request at T107423: Evaluate which projects showcased at the Wikimania Hackathon 2015 should be supported further or contact me personally. Thank you!

I'm curious about the response.

Qgil updated the task description. (Show Details)Sep 16 2015, 10:22 AM
Qgil updated the task description. (Show Details)Sep 16 2015, 12:08 PM

For T105638 to progress signature support in composer is needed and then it needs to be integrated into the deployment work flow (that is mostly done by Release-Engineering-Team-TODO (201907)).

What do you need to complete this task?

Time and people.

Do you need support from the Wikimedia Foundation to push it forward?

That would be helpful.

Help promoting this project? Pitching it to WMF teams?

For now only for people who can help get the infrastructure in place. Once that is done for every developer who uses or creates composer components to make use of it.

Qgil updated the task description. (Show Details)Sep 16 2015, 6:21 PM
Qgil updated the task description. (Show Details)Sep 17 2015, 7:14 AM
Qgil updated the task description. (Show Details)Sep 18 2015, 8:58 AM
Qgil updated the task description. (Show Details)Sep 19 2015, 8:46 AM
Qgil updated the task description. (Show Details)Sep 19 2015, 1:21 PM
Qgil updated the task description. (Show Details)Sep 19 2015, 3:07 PM
Qgil moved this task from Backlog to Doing on the DevRel-September-2015 board.Sep 29 2015, 6:19 PM
Qgil updated the task description. (Show Details)Sep 30 2015, 8:29 PM
Qgil moved this task from Backlog to Doing on the DevRel-October-2015 board.Oct 7 2015, 2:00 PM
Qgil updated the task description. (Show Details)Oct 11 2015, 9:19 PM
Qgil updated the task description. (Show Details)Oct 29 2015, 2:51 PM
JanZerebecki updated the task description. (Show Details)Oct 29 2015, 3:54 PM
Qgil updated the task description. (Show Details)Oct 29 2015, 5:49 PM
Qgil updated the task description. (Show Details)
Qgil updated the task description. (Show Details)Nov 3 2015, 4:30 PM
Qgil closed this task as Resolved.Nov 3 2015, 4:34 PM

"Selection" completed. One project was merged into a current Otreachy project idea, two tasks are now part of Wikimedia Developer Summit proposals, and one needs help, but it is still unclear which kind of help. I will ping them.

Just like at the Wikimedia Hackathon, not much help needed at the end, but no clear path between hackathon projects and deployment in production either...

I'm closing this task now, but I will create a new one to venture some conclusions and try to propose recommendation for our hackathons in 2016.